ant-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Stefan Bodewig <bode...@apache.org>
Subject Re: does ant 1.3 work with jdk 1.4?
Date Fri, 27 Jul 2001 15:17:05 GMT
On Fri, 27 Jul 2001, Greg McDermott <gregm@bea.com> wrote:

> It might be seeing something similar, was it a compile time problem?

Just to clarify: it is no Ant problem, but one with our production
code.

Part of the problem is a compile time problem, we've created yet
another database pool and changes to the interfaces break it.

Things like Connection.setSavepoint that returns an instance of the
new Safepoint interface are going to give you similar headaches that
you may have encountered when they introduced JDBC 2.0 (err, 2.1 core)
- you cannot write a Connection class that is JDBC 3.0 compatible and
can be compiled on a JDK 1.3 system at the same time (without playing
tricks with the bootclasspath, that is).

And I'm sure we'd face all sorts of runtime errors as well, as the
drivers we use won't be JDBC 3.0 compatible either.

Stefan

Mime
View raw message